Inhalte

# Funktion Now

Gibt das aktuelle Systemdatum und die aktuelle Systemzeit als einen Wert vom Datentyp Date zurück.

Die Funktion Now berechnet die Zeit auf Millisekunden genau, gibt die Zeit aber in Sekunden zurück.

### Syntax:

    Now

### Rückgabetyp:

Datum

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

      Sub ExampleNow
          MsgBox "Es ist jetzt " & Now
      End Sub
      REM Arbeiten mit Millisekunden-Zeiten
      Sub ExampleNowDouble
          Dim myTime As Double
          myTime = now
          MsgBox "Es ist jetzt " & format(myTime, "yyyy-mm-dd HH:MM:SS.000")
      End Sub

Verwandte Themen

Dienst ScriptForge.Timer